Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLAQSY

    java.lang.Object
      org.netlib.lapack.DLAQSY

    public class DLAQSY

extends java.lang.Object

    DLAQSY is a simplified interface to the JLAPACK routine dlaqsy.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLAQSY equilibrates a symmetric matrix A using the scaling factors
     *  in the vector S.
     *
     *  Arguments
     *  =========
     *
     *  UPLO    (input) CHARACTER*1
     *          Specifies whether the upper or lower triangular part of the
     *          symmetric matrix A is stored.
     *          = 'U':  Upper triangular
     *          = 'L':  Lower triangular
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.
     *
     *  A       (input/output) DOUBLE PRECISION array, dimension (LDA,N)
     *          On entry, the symmetric matrix A.  If UPLO = 'U', the leading
     *          n by n upper triangular part of A contains the upper
     *          triangular part of the matrix A, and the strictly lower
     *          triangular part of A is not referenced.  If UPLO = 'L', the
     *          leading n by n lower triangular part of A contains the lower

     *          triangular part of the matrix A, and the strictly upper
     *          triangular part of A is not referenced.
     *
     *          On exit, if EQUED = 'Y', the equilibrated matrix:
     *          diag(S) * A * diag(S).
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A.  LDA >= max(N,1).
     *
     *  S       (input) DOUBLE PRECISION array, dimension (N)
     *          The scale factors for A.
     *
     *  SCOND   (input) DOUBLE PRECISION
     *          Ratio of the smallest S(i) to the largest S(i).
     *
     *  AMAX    (input) DOUBLE PRECISION
     *          Absolute value of largest matrix entry.
     *
     *  EQUED   (output) CHARACTER*1
     *          Specifies whether or not equilibration was done.
     *          = 'N':  No equilibration.
     *          = 'Y':  Equilibration was done, i.e., A has been replaced by

     *                  diag(S) * A * diag(S).
     *
     *  Internal Parameters
     *  ===================
     *
     *  THRESH is a threshold value used to decide if scaling should be done

     *  based on the ratio of the scaling factors.  If SCOND < THRESH,
     *  scaling is done.
     *
     *  LARGE and SMALL are threshold values used to decide if scaling should
     *  be done based on the absolute size of the largest matrix element.
     *  If AMAX > LARGE or AMAX < SMALL, scaling is done.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DLAQSY()`

Method Summary
`static void` | `DLAQSY(java.lang.String uplo, int n, double[][] a, double[] s, double scond, double amax, StringW equed)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLAQSY

    public DLAQSY()

Method Detail

### DLAQSY

    public static void DLAQSY(java.lang.String uplo,
                              int n,
                              double[][] a,
                              double[] s,
                              double scond,
                              double amax,
                              StringW equed)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD